[CONFIG]
;Наименование драйвера
ServerName = 'Нативный драйвер Дисплея Покупателя'

; Все параметры и их значения по-умолчанию
[params]
params[]=PortType
params[]=DisplayWidth1
params[]=DisplayWidth2
params[]=Charset
params[]=Exec
params[]=AlwaysExec
params[]=Send
params[]=CookieTime

; Описания параметров
; title - название
; type - тип поля ввода
; description - описание, если необходимо
; group - принадлежность к группе
; default - значение по-умолчанию, отсутствие параметра обазначет, что это раздел
; required - обязательность параметра (1 - обязательный, 0 - небязательный)

[PortType]
PortType[title]='Тип соединения'
PortType[type]=select
PortType[options]='{"remote":"Удаленный","local":"Локальный"}'
PortType[default]=local
PortType[required]=1

[DisplayWidth1]
DisplayWidth1[title]='Кол-во символов на первой строке'
DisplayWidth1[description]='Для IBM SurePOS 500 DisplayWidth1=19'
DisplayWidth1[default]=20
DisplayWidth1[required]=1

[DisplayWidth2]
DisplayWidth2[title]='Кол-во символов на последующих строках'
DisplayWidth2[default]=20
DisplayWidth2[required]=1

[Charset]
Charset[title]='Кодировка'
Charset[description]='Для IBM Surepos 500 Russian Charset=cp855'
Charset[default]=cp866
Charset[required]=1

[Exec]
Exec[title]='Настройки COM-порта'
Exec[type]=textarea
Exec[description]='Каждая команда с новой строки.<br><b>Для IBM Surepos 500 и почти всех остальных Windows</b>:<br>mode COM9 BAUD=9600 PARITY=n data=8 stop=1 xon=off rts=on dtr=on to=on<br><b>Для Wincor BA64</b>:<br>mode COM9 BAUD=9600 PARITY=o data=8 stop=1 xon=off rts=on dtr=on to=on'
Exec[default]=''
Exec[required]=0


;Настройки COM-порта, которые будут исполняться при каждом вызове
[AlwaysExec]
AlwaysExec[title]='Настройки COM-порта, которые будут исполняться при каждом вызове'
AlwaysExec[type]=textarea
AlwaysExec[description]='Каждая команда с новой строки.<br>Для Windows: mode COM9 BAUD=19200 PARITY=n data=8 stop=1 xon=off rts=off dtr=off to=on'
AlwaysExec[default]=''
AlwaysExec[required]=0

[Send]
Send[title]='Команды инициализации'
Send[type]=textarea
Send[description]='Каждая команда с новой строки.<br>Номер команды;Данные<br>Пример: 17;01d2e5f1f2<br>Vertical Scroll Mode необходимо включать для корректной работы дисплея<br><b>ESCPOS</b><br>1F02<br><b>CD5220 и EMAX</b><br>1B12<br><b>LOGIC</b><br>12<br><b>IBM Surepos 500</b><br>0001<br>0204<br>14<br><b>Wincor BA64</b><br>1B5235'
Send[default]=''
Send[required]=0

[CookieTime]
CookieTime[title]='Время повтора инициализации в минутах'
CookieTime[description]='0 - не повторять, инициализация выполнится только при первом запуске'
CookieTime[default]=30
CookieTime[required]=0